/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_RANDOMNESS_SOURCE_H__
#define __TK_EXP_RANDOMNESS_SOURCE_H__

#include <gtkmm.h>

#include "libtkcommon/tkstring.h"

namespace TkResolver {
  namespace Experimenter {

    class RandomnessSource : public Gtk::ComboBoxText
      {
      private:
	TkStringList   _sources;
	TkString       _default;
      public:
	RandomnessSource();
	void get_randomness_source(TkString & source, bool & specified) const;
      };

  } /* namespace Experimenter */
}; /* namespace TkResolver */

#endif /* __TK_EXP_RANDOMNESS_SOURCE_H__ */
