/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include "notes_entry.h"

using namespace TkResolver;
using namespace Experimenter;

NotesEntry:: NotesEntry(Gtk::Window & parent, TextPtr notes)
  : Gtk::Dialog("Experiment notes", parent, true)
{
  set_default_size(600, 200);
  add_button(Gtk::Stock::OK, Gtk::RESPONSE_OK);

  TextFrame * notes_frame = Gtk::manage(new TextFrame("Notes", notes));
  get_vbox()->pack_start(*notes_frame, true, true);  

  show_all_children();
}
