/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_TEXT_FRAME_H__
#define __TK_EXP_TEXT_FRAME_H__

#include <gtkmm.h>

#include "libtkcommon/tkstring.h"

namespace TkResolver {
  namespace Experimenter {

    typedef Glib::RefPtr<Gtk::TextBuffer> TextPtr;

    class TextFrame : public Gtk::Frame
      {
	TextPtr  _text;
      public:
	TextFrame(const TkString &title, TextPtr text);
	TextPtr get_text();
      };
      
  } /* namespace Experimenter */
}; /* namespace TkResolver */




#endif /* __TK_EXP_TEXT_FRAME_H__ */
