/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include "lanczos.h"
#include "matrix.h"
#include "rational.h"
#include "real.h"


using namespace TkResolver::MP;
using namespace Lanczos;

int main()
{
  /* test matricies */
  Real::Matrix f(2, 2);
  
  f[0][0] = 1.0;
  f[1][1] = 2.0;

  Rational::Matrix q(2, 2);
  f[0][0] = 1;
  f[1][1] = 1/2;

  Real::Matrix f2(q);
  
  Real::Matrix f3(f2 * f);

  Complex::Number gamma1( lngamma(Complex::Number(123.123, 0), Context(2, 7.0) ) );
  
  return 0;
}
